import request from '@/utils/request'

// 查询RC审计助手列表
export function listRcaudit(query) {
  return request({
    url: '/ehs/rcaudit/list',
    method: 'get',
    params: query
  })
}

// 查询NA列表
export function naData(query) {
  return request({
    url: '/ehs/rcaudit/naData',
    method: 'get',
    params: query
  })
}

// 查询RC审计助手详细
export function getRcaudit(id) {
  return request({
    url: '/ehs/rcaudit/' + id,
    method: 'get'
  })
}

// 新增RC审计助手
export function addRcaudit(data) {
  return request({
    url: '/ehs/rcaudit',
    method: 'post',
    data: data
  })
}

// 修改RC审计助手
export function updateRcaudit(data) {
  return request({
    url: '/ehs/rcaudit',
    method: 'put',
    data: data
  })
}

// RC审计助手附件增加
export function addFile(data) {
  return request({
    url: '/ehs/rcaudit/addFile',
    method: 'put',
    data: data
  })
}

// RC审计助手附件减少
export function reduceFile(data) {
  return request({
    url: '/ehs/rcaudit/reduceFile',
    method: 'put',
    data: data
  })
}

// 删除RC审计助手
export function delRcaudit(id) {
  return request({
    url: '/ehs/rcaudit/' + id,
    method: 'delete'
  })
}

// 导出RC审计助手
export function exportRcaudit(query) {
  return request({
    url: '/ehs/rcaudit/export',
    method: 'get',
    params: query
  })
}
